Summary:	Simple and fun paint program for kids
Name: 		tuxpaint
Epoch:		1
Version:	0.9.35
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		https://www.tuxpaint.org/
Source: 	https://sourceforge.net/projects/tuxpaint/files/tuxpaint/%{version}/%{name}-%{version}.tar.gz
Patch1:		tuxpaint-0.9.34-link.patch
Patch3:		0001-Do-not-update-database-while-building-a-rpm.patch
BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	xdg-utils
BuildRequires:	libpaper-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(imagequant)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(SDL2_Pango)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libxml-2.0)
#for printing:
Requires: 	netpbm
Recommends:	tuxpaint-config
Recommends:	tuxpaint-stamps

%description
Tux Paint is a simple paint program gear towards young children. 
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic' 
tool, for special effects. Loading and saving is done via a 
graphical interface, and the underlying environment's 
filesystem isn't exposed (much like programs on PDAs).

%package	devel
Summary:	Headers and development libraries from %{name}
Group:		Development/C

%description devel
%{name} development headers and libraries.

%prep
%autosetup -p1

sed -i 's|-L/usr/local/lib|-L%{_libdir}|g' Makefile

%build
%make_build OPTFLAGS="%{optflags}" \
            LDFLAGS="%{ldflags}" \
            PREFIX=%{_prefix} \
            MAGIC_PREFIX=%{_libdir}/%{name}/plugins

%install
%make_install \
              PKG_ROOT="%{buildroot}" \
              PREFIX=%{_prefix} \
              X11_ICON_PREFIX="%{buildroot}%{_datadir}/pixmaps" \
              KDE_ICON_PREFIX=%{_iconsdir} \
              MAGIC_PREFIX=%{buildroot}%{_libdir}/%{name}/plugins

%find_lang %{name} --with-man

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="Art" \
			src/tuxpaint.desktop

rm -rf docs/en/tp_magic_example*
rm -rf docs/fr_FR.UTF-8/Makefile
rm -rf docs/Makefile
#Fix perms:
chmod -R go+r docs/

#Remove useless installed things
rm -Rf %{buildroot}%{_datadir}/doc/%{name}-%{version}
rm -Rf %{buildroot}%{_datadir}/%{name}/images/icon32x32.xpm
rm -rf %{buildroot}%{_datadir}/tuxpaint/fonts/locale/zh_tw_docs/maketuxfont.py*

%files -f %{name}.lang
%doc docs/*
%{_bindir}/%{name}
%{_bindir}/%{name}-import
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-import.1*
%dir %{_sysconfdir}/tuxpaint
%config(noreplace) %{_sysconfdir}/tuxpaint/tuxpaint.conf
%{_sysconfdir}/bash_completion.d/010_tuxpaint-completion.bash
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/applications/tuxpaint.desktop
%{_datadir}/pixmaps/*
%{_metainfodir}/org.tuxpaint.Tuxpaint.appdata.xml

%files devel
%{_bindir}/tp-magic-config
%{_includedir}/%{name}/
%{_mandir}/man1/tp-magic-config.1*


%changelog
* Thu May 29 2025 daviddavid <daviddavid> 1:0.9.35-1.mga10
+ Revision: 2186898
- new version: 0.9.35

* Fri Dec 20 2024 daviddavid <daviddavid> 1:0.9.34-1.mga10
+ Revision: 2126543
- new version: 0.9.34

* Wed Jul 31 2024 daviddavid <daviddavid> 1:0.9.33-1.mga10
+ Revision: 2083018
- new version: 0.9.33

* Thu Mar 07 2024 daviddavid <daviddavid> 1:0.9.32-1.mga10
+ Revision: 2048090
- new version: 0.9.32

* Sun Apr 30 2023 daviddavid <daviddavid> 1:0.9.29-4.mga9
+ Revision: 1955493
- remove precompiled libraries from docs

* Wed Apr 05 2023 daviddavid <daviddavid> 1:0.9.29-3.mga9
+ Revision: 1951476
- rebuild for missing pkgs

* Mon Apr 03 2023 daviddavid <daviddavid> 1:0.9.29-2.mga9
+ Revision: 1951366
- add back and rebase makej patch to fix armv7 build

* Mon Apr 03 2023 daviddavid <daviddavid> 1:0.9.29-1.mga9
+ Revision: 1951355
- new version: 0.9.29
- remove merged upstream patches

* Sat Sep 10 2022 neoclust <neoclust> 1:0.9.28-1.mga9
+ Revision: 1886273
- Ne wversion 0.9.28

* Wed Apr 06 2022 umeabot <umeabot> 1:0.9.25-2.mga9
+ Revision: 1845518
- Mageia 9 Mass Rebuild

* Mon Dec 28 2020 daviddavid <daviddavid> 1:0.9.25-1.mga8
+ Revision: 1664558
- new version: 0.9.25

* Sun May 31 2020 daviddavid <daviddavid> 1:0.9.24-1.mga8
+ Revision: 1589264
- new version: 0.9.24

* Sat Feb 15 2020 umeabot <umeabot> 1:0.9.23-3.mga8
+ Revision: 1526782
- Mageia 8 Mass Rebuild

* Tue Feb 19 2019 daviddavid <daviddavid> 1:0.9.23-2.mga7
+ Revision: 1368486
- fix magic plugins path not working on 64bit (mga#24382)

* Sat Sep 15 2018 daviddavid <daviddavid> 1:0.9.23-1.mga7
+ Revision: 1258995
- new version: 0.9.23
- update URL and add a Source URL
- rename and rediff link and makefile-magic_prefix patches
- fix parallel build + update kbuildsycoca
- fix some owner dir

* Mon Feb 08 2016 umeabot <umeabot> 1:0.9.22-4.mga6
+ Revision: 944181
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.22-3.mga5
+ Revision: 746875
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.22-2.mga5
+ Revision: 689985
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Aug 28 2014 anaselli <anaselli> 1:0.9.22-1.mga5
+ Revision: 669003
- new version 0.9.22

* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.21-10.mga4
+ Revision: 526236
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 tv <tv> 1:0.9.21-9.mga4
+ Revision: 436311
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1:0.9.21-8.mga3
+ Revision: 384873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Tue Dec 04 2012 malo <malo> 1:0.9.21-7.mga3
+ Revision: 326301
- update RPM group

* Mon Jan 16 2012 anaselli <anaselli> 1:0.9.21-6.mga2
+ Revision: 197077
- Fix bug #4099 tuxpaint puzzle plugin errors out

* Thu Sep 15 2011 fwang <fwang> 1:0.9.21-5.mga2
+ Revision: 143625
- more linkage
- fix linkage of plugins
- add gentoo patches to fix build with latest png
- rebuild for new libpng

* Sat Apr 30 2011 ahmad <ahmad> 1:0.9.21-3.mga1
+ Revision: 93871
- bump the rel to smoothen upgrades from mdv 2010.1

* Sun Feb 20 2011 anaselli <anaselli> 1:0.9.21-1.mga1
+ Revision: 54973
- imported package tuxpaint

